ข้ามไปยังเนื้อหา

Ideogram V2A Remix

ผสานการทำงาน

ID โมเดล ideogram/v2a/remix
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/ideogram/v2a/remix?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

คำขอนี้: $0.04 40 เครดิต API เรียกใช้ในหน้านี้

รับคีย์ API
Ideogram แก้ไขภาพ #realism#typography

รีมิกซ์ภาพด้วย V2A: สร้างรูปแบบต่าง ๆ ของภาพต้นฉบับตามพรอมต์ พร้อมปรับความเข้มได้

Ideogram · ภาพ

ผลลัพธ์แรกของคุณจะแสดงที่นี่

สร้างคำขอด้านล่างและเรียกใช้ด้วยคีย์ API ของคุณ เอาต์พุตจะถูกคัดลอกไปยังพื้นที่จัดเก็บของเรา และเก็บไว้ตลอดไปหรือฟรี 7 วัน

สร้างคำขอ

ตัวควบคุมสร้างจากสคีมาของโมเดล โค้ดและราคาจะอัปเดตเมื่อคุณเปลี่ยนค่า

•จำเป็น

พรอมต์ที่ใช้เป็นแนวทางในการรีมิกซ์รูปภาพ

•จำเป็น image_url
วางไฟล์ หรือ

URL ของรูปภาพที่กำลังรีมิกซ์

aspect_ratio ค่าเริ่มต้น 1:1

อัตราส่วนภาพที่จะใช้สำหรับเอาต์พุตรูปภาพ

ขั้นสูง style · strength · seed · expand_prompt
style ค่าเริ่มต้น auto

สไตล์ภาพสำหรับเอาต์พุตรูปภาพ

ค่าเริ่มต้น 0.8

อิทธิพลของรูปภาพต้นฉบับที่มีต่อการรีมิกซ์

ค่า seed สำหรับการสร้างตัวเลขสุ่ม

POST /run/ideogram/v2a/remix?wait=20 ใบเสนอราคา → $0.04
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/ideogram/v2a/remix?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

เรียกใช้คำขอนี้

คีย์ของคุณจะอยู่ในเบราว์เซอร์นี้ โดยส่งไปยัง Doitong API เท่านั้น และจะบันทึกใน localStorage ก็ต่อเมื่อคุณเลือกจดจำ รับคีย์ API

เกี่ยวกับ Ideogram V2A Remix

ปรับรูปภาพต้นฉบับ (`image_url`) ใหม่ตาม `prompt` `strength` ตั้งแต่ 0.01 ถึง 1 (ค่าเริ่มต้น 0.8) ควบคุมปริมาณของอินพุตที่ยังคงอยู่ในผลลัพธ์ เลือกจากอัตราส่วนภาพสิบเอ็ดแบบและสไตล์หกแบบ เปิดหรือปิดการขยายพรอมต์ และกำหนดซีดเพื่อให้ได้เอาต์พุตที่ทำซ้ำได้

พารามิเตอร์

ส่งชื่อมาตรฐานหรือชื่อดั้งเดิมอย่างใดอย่างหนึ่งเท่านั้น ห้ามส่งทั้งสองชื่อ ชื่อมาตรฐาน

ชื่อประเภท ค่าเริ่มต้นค่าที่อนุญาต คำอธิบาย
promptจำเป็น
ประเภทstring
พรอมต์ที่ใช้เป็นแนวทางในการรีมิกซ์รูปภาพ
image_urlจำเป็น image
ประเภทurl · image
URL ของรูปภาพที่กำลังรีมิกซ์
aspect_ratioไม่บังคับ
ประเภทenum
ค่าเริ่มต้น1:1
10:1616:109:1616:94:33:41:11:33:13:22:3
อัตราส่วนภาพที่จะใช้สำหรับเอาต์พุตรูปภาพ
strengthไม่บังคับ
ประเภทnumber
ค่าเริ่มต้น0.8
0.01 – 1
อิทธิพลของรูปภาพต้นฉบับที่มีต่อการรีมิกซ์
expand_promptไม่บังคับ
ประเภทboolean
ค่าเริ่มต้นtrue
ควบคุมว่า MagicPrompt จะขยายพรอมต์หรือไม่
seedไม่บังคับ
ประเภทinteger | null
ค่า seed สำหรับการสร้างตัวเลขสุ่ม
styleไม่บังคับ
ประเภทenum
ค่าเริ่มต้นauto
autogeneralrealisticdesignrender_3Danime
สไตล์ภาพสำหรับเอาต์พุตรูปภาพ
จำเป็น ชื่อมาตรฐาน ซึ่งรองรับเช่นกัน

พารามิเตอร์ไฟล์รับ URL https:// สาธารณะ, data: URI ขนาดไม่เกิน 10 MB หรือ file_url ของไฟล์ที่อัปโหลด ไฟล์

เอาต์พุต

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "ideogram/v2a/remix",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 40,
    "usd": "0.04",
    "charged": 40,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      }
    ],
    "seed": 42
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ไฟล์ของคุณ คุณเลือกเองทุก outputs[].url คือสำเนาบนพื้นที่จัดเก็บของเรา: เก็บไว้ตลอดไป (คิดค่าบริการต่อ GB-เดือน) หรือฟรี 7 วัน โดยกำหนดได้ในการตั้งค่าบัญชีหรือ ?storage=
รูปแบบเดียวกันในทุกโมเดลtype, url, content_type, width, height และ duration สำหรับภาพ วิดีโอ และเสียงเหมือนกันทั้งหมด ส่วน output คือออบเจ็กต์ผลลัพธ์ของโมเดลเอง
ฟิลด์ของเอาต์พุต
images
array of object {url, content_type, file_name, file_size}
seed
integerค่า seed ที่ใช้สำหรับการสร้างตัวเลขสุ่ม

โมเดลเพิ่มเติม: แก้ไขภาพ

สำหรับเอเจนต์ AI: หน้า Markdown นี้อยู่ที่ https://doitong.com/th/developers/models/ideogram/v2a/remix.md. โมเดลและคู่มือทั้งหมด: https://doitong.com/developers/llms.txt